Subject: Re: bug#13546: 24.2.92; Error(s) when sending emails

From: "Sebastien Vauban" <[email-masked]>
Date: Wed, 27 Feb 2013 22:25:48 +0100

Eli,

Eli Zaretskii wrote:
>> From: "Sebastien Vauban" <[email-masked]>
>> Cc: [email-masked]
>> Date: Wed, 27 Feb 2013 21:43:09 +0100
>> 
>>>> Regarding emacs-24 (Emacs 24.2.93), I'm using it since yesterday
>>>> morning. It more or less causes me problems after a couple of hours.
>>>> 
>>>> The last symptom, now, was when trying to send an email via Gnus (or
>>>> should I say Message?). Emacs seemed inflooping, but still stopped and
>>>> displayed me this after a while (one minute or so -- subjective
>>>> appreciation):
>>>> 
>>>> --8<---------------cut here---------------start------------->8---
>>>> Emergency (alloc): Warning: past 95% of memory limit
>>>> Memory exhausted--use C-x s then exit and restart Emacs
>>>> --8<---------------cut here---------------end--------------->8---
>>>
>>> Please post here all the symptoms, not just the last one.
>>
>> Unfortunately, I don't have other symptoms to share with you. Except if you
>> tell me to look for some data when attaching GDB to the sick process.
>
> I don't understand: above you say that it "causes you problems after a
> couple of hours". Those problems must have _some_ symptoms, or else you
> wouldn't have known there are problems, right? So what did you see?

I thought I gave the symptoms here above:

After a couple of hours (like 2 or 3), when I had composed an email and was
sending it (I had pressed C-c C-c), Emacs wrote "Sending email..." (or
similar) in the echo area. Normally, that message disappears after a couple of
seconds, and I'm back to the Group buffer.

Here, that message did not disappear. After 1 minute or so, I thought that
Emacs was hanging. I checked my Internet connection, that was OK.

But seconds later, Emacs still prompted me:

    Memory exhausted--use C-x s then exit and restart Emacs

in the echo area, and

    Emergency (alloc): Warning: past 95% of memory limit

in a popup buffer.

I went back to the draft of the email, and tried again, but the message never
got sent. So, I restarted Emacs as stated.

These are the symptoms that I observed. Do you expect anything else?

Clearly, I should have looked at the memory footprint of Emacs, but (for
reasons which escape me now), I unfortunately did not. But I thought that the
messages only would help you localizing the cause of the problem.

Best regards,
  Seb

-- 
Sebastien Vauban